Skip to main content
DELETE
/
jobs
/
{UUID}
cURL
curl -X DELETE "https://api.ionq.co/v0.3/jobs/617a1f8b-59d4-435d-aa33-695433d7155e" \
  -H "Authorization: apiKey your-api-key"
import requests

url = "https://api.ionq.co/v0.3/jobs/{UUID}"

headers = {"Authorization": "<api-key>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};

fetch('https://api.ionq.co/v0.3/jobs/{UUID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "aa54e783-0a9b-4f73-ad2f-63983b6aa4a8",
  "status": "deleted"
}

Authorizations

Authorization
string
header
required

API keys are associated with a user and can be created on the IonQ Quantum Cloud application. To authenticate, prefix your API Key with apiKey and place it in the Authorization request header. Ex: Authorization: apiKey your-api-key

Path Parameters

UUID
string<uuid>
required

The UUID of the job — this UUID is provided in the response on job creation.

Response

200 - application/json

Successfully deleted job

Response body from a successful job deletion.

id
string<uuid>
required

The UUID of a job. We'll provide the UUID initially in our response to a job creation request.

Example:

"aa54e783-0a9b-4f73-ad2f-63983b6aa4a8"

status
enum<string>
required

Status of a job (always deleted).

Available options:
deleted